;;;Programme von Bosse-engineering, speichern der benutzerspezifischen Daten in einem separaten Verzeichnis
;;;Wenn diese Datei in AutoCAD auf einem Supportpfad vorhanden ist, dann wird der benutzerspezifische Pfad von folgenden Programmen bercksichtigt:

;;; - Vektoradd
;;; - Raumstempel
;;; - att_block

;;;Wenn diese Datei nicht auf einem Supportpfad vorhanden ist, dann wird der Standardpfad "c:\\acad\\" verwendet.

;;;Jrn Bosse, 25.01.13



(defun JBf_JBO_Userpfad ( / userpfad)
  (setq userPfad
	 "c:\\acad\\" ;;;Hier ndern
        userList (JBf_string_trenzeichen->list userPfad "\\")
        pfad (strcat (car userList)"\\"))

  (mapcar '(lambda(A)
             (setq pfad (strcat pfad A "\\"))
             (if (not (JBf_string_dateipfad->true-false pfad))
               (vl-mkdir pfad)))
    (cdr userList))
 userpfad
  )


;;;******************************************************************************************;;;
;;;Ein String wird als Liste zurckgegeben, Trennung ber Trennzeichen                       ;;;
;;;******************************************************************************************;;;
;>>str = string
;>>str_trenn = Trennzeichen
;<<str = Der neue String
(defun JBf_string_trenzeichen->list (str str_trenn / list_str)
  (setq str (vl-string-left-trim str_trenn str)
	str (vl-string-right-trim str_trenn str))
  (if (vl-string-search str_trenn str)
    (progn
      (while (vl-string-search str_trenn str)
	(setq list_str (cons (substr str 1 (vl-string-search str_trenn str))list_str)
	      str (vl-string-left-trim str_trenn(substr str(+(vl-string-search str_trenn str)(+ (strlen str_trenn)1))))))
      (if (/= str "")
	(setq list_str (cons str list_str))))
    (setq list_str (cons str list_str)))
  (reverse list_str))

;;;******************************************************************************************;;;
;;;Gltigkeit eines Dateipfades prfen                                                       ;;;
;;;******************************************************************************************;;;
(vl-load-com)
(defun JBf_string_dateipfad->true-false	(pfad1 / FSO TRUE-FALSE)
  (if (vl-string-search "." pfad1)
    (setq pfad1 (JBf_string_dateipfad->only pfad1)))
  (if (setq FSO (vlax-create-object "Scripting.FilesystemObject"))
    (progn
      (if (vlax-method-applicable-p FSO 'FOLDEREXISTS)
	(setq TRUE-FALSE
	   (=(vl-catch-all-apply
		   'vlax-invoke-method
		   (list FSO 'FOLDEREXISTS pfad1)):vlax-true))
      (vlax-release-object FSO))))
  TRUE-FALSE)